pkcs11h-data.h File Reference
Data object interface

pkcs11-helper data object support. More...

Go to the source code of this file.

## Classes

struct | pkcs11h_data_id_list_s
| Data identifier list. More...

## Typedefs

typedef struct pkcs11h_data_id_list_s * | pkcs11h_data_id_list_t
| Data identifier list.

## Functions

CK_RV | pkcs11h_data_get (IN const pkcs11h_token_id_t token_id, IN const PKCS11H_BOOL is_public, IN const char *const application, IN const char *const label, IN void *const user_data, IN const unsigned mask_prompt, OUT unsigned char *const blob, IN OUT size_t *const p_blob_size)
| Get data object.
CK_RV | pkcs11h_data_put (IN const pkcs11h_token_id_t token_id, IN const PKCS11H_BOOL is_public, IN const char *const application, IN const char *const label, IN void *const user_data, IN const unsigned mask_prompt, OUT unsigned char *const blob, IN const size_t blob_size)
| Put data object.
CK_RV | pkcs11h_data_del (IN const pkcs11h_token_id_t token_id, IN const PKCS11H_BOOL is_public, IN const char *const application, IN const char *const label, IN void *const user_data, IN const unsigned mask_prompt)
| Delete data object.
CK_RV | pkcs11h_data_freeDataIdList (IN const pkcs11h_data_id_list_t data_id_list)
| Free data object list.
CK_RV | pkcs11h_data_enumDataObjects (IN const pkcs11h_token_id_t token_id, IN const PKCS11H_BOOL is_public, IN void *const user_data, IN const unsigned mask_prompt, OUT pkcs11h_data_id_list_t *const p_data_id_list)
| Get list of data objects.

## Detailed Description

pkcs11-helper data object support.

Author
  Alon Bar-Lev alon..nosp@m.barl.nosp@m.ev@gm.nosp@m.ail..nosp@m.com

See also
  Data object interface.

pkcs11-helper, Copyright (C) Alon Bar-Lev <alon.barlev@gmail.com> |